Skip to main content
GET
/
api
/
v1
/
{team_slug}
/
apps
/
{app_slug}
/
products
/
{product_id}
/
variant-groups
/
{group_id}
Error
A valid request URL is required to generate request examples
{
  "data": {
    "attribute_id": "<string>",
    "attribute_key": "<string>",
    "attribute_name": "<string>",
    "created_at": "<string>",
    "id": "<string>",
    "images": [
      {
        "alt": "<string>",
        "app_id": "<string>",
        "attributes": [
          {
            "created_at": "<string>",
            "description": "<string>",
            "filterable": true,
            "id": "<string>",
            "key": "<string>",
            "name": "<string>",
            "template_key": "<string>",
            "template_name": "<string>",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "<string>",
                  "locale": "<string>",
                  "omni_channel_translations": [
                    {
                      "id": "<string>",
                      "market_id": "<string>",
                      "store_group_id": "<string>",
                      "value": "<string>"
                    }
                  ],
                  "value": "<string>"
                }
              ],
              "name": [
                {
                  "id": "<string>",
                  "locale": "<string>",
                  "omni_channel_translations": [
                    {
                      "id": "<string>",
                      "market_id": "<string>",
                      "store_group_id": "<string>",
                      "value": "<string>"
                    }
                  ],
                  "value": "<string>"
                }
              ]
            },
            "updated_at": "<string>",
            "values": {}
          }
        ],
        "blurhash": "<string>",
        "copyright": "<string>",
        "custom": {},
        "folder_id": "<string>",
        "id": "<string>",
        "parent_id": "<string>",
        "priority": 123,
        "public": true,
        "status": "<string>",
        "title": "<string>",
        "translations": {
          "alt": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ],
          "copyright": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ],
          "title": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ]
        },
        "url": "<string>"
      }
    ],
    "product_id": "<string>",
    "template_key": "<string>",
    "template_name": "<string>",
    "updated_at": "<string>",
    "variants": [
      {
        "id": "<string>",
        "status": "<string>",
        "variant_name": "<string>",
        "variant_number": "<string>"
      }
    ],
    "videos": [
      {
        "attributes": [
          {
            "created_at": "<string>",
            "description": "<string>",
            "filterable": true,
            "id": "<string>",
            "key": "<string>",
            "name": "<string>",
            "template_key": "<string>",
            "template_name": "<string>",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "<string>",
                  "locale": "<string>",
                  "omni_channel_translations": [
                    {
                      "id": "<string>",
                      "market_id": "<string>",
                      "store_group_id": "<string>",
                      "value": "<string>"
                    }
                  ],
                  "value": "<string>"
                }
              ],
              "name": [
                {
                  "id": "<string>",
                  "locale": "<string>",
                  "omni_channel_translations": [
                    {
                      "id": "<string>",
                      "market_id": "<string>",
                      "store_group_id": "<string>",
                      "value": "<string>"
                    }
                  ],
                  "value": "<string>"
                }
              ]
            },
            "updated_at": "<string>",
            "values": {}
          }
        ],
        "description": "<string>",
        "folder_id": "<string>",
        "id": "<string>",
        "path": "<string>",
        "public": true,
        "status": "<string>",
        "title": "<string>",
        "translations": {
          "description": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ],
          "title": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ]
        },
        "variants": [
          {
            "format": "<string>",
            "height": 123,
            "url": "<string>",
            "width": 123
          }
        ]
      }
    ]
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

team_slug
string
required

Team slug

app_slug
string
required

App slug

product_id
string
required

Product ID

group_id
string
required

Variant group ID

Response

Variant group

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean